9.04 Jaunty Samba 2:3.3.0-3ubuntu2 fails to start on update

Bug #330626 reported by Justin on 2009-02-17
84
This bug affects 9 people
Affects Status Importance Assigned to Milestone
samba
Invalid
High
samba (Ubuntu)
High
Unassigned
Jaunty
High
Unassigned

Bug Description

Binary package hint: samba

The init script doesn't give any errors starting but the smbd process never starts. I've tried reinstalling samba and libc6. Output from log.smbd is as follows.

[2009/02/17 12:10:29, 0] smbd/server.c:main(1260)
  smbd version 3.3.0 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2009
[2009/02/17 12:10:29, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2009/02/17 12:10:29, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 6589 (3.3.0)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2009/02/17 12:10:29, 0] lib/fault.c:fault_report(43)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2009/02/17 12:10:29, 0] lib/fault.c:fault_report(44)
  ===============================================================
[2009/02/17 12:10:29, 0] lib/util.c:smb_panic(1673)
  PANIC (pid 6589): internal error
[2009/02/17 12:10:29, 0] lib/util.c:log_stack_trace(1777)
  BACKTRACE: 13 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x1c) [0x7f66d883d5cd]
   #1 /usr/sbin/smbd(smb_panic+0x5b) [0x7f66d883d6db]
   #2 /usr/sbin/smbd [0x7f66d882adad]
   #3 /lib/libpthread.so.0 [0x7f66d6e0e080]
   #4 /lib/libc.so.6(strlen+0x30) [0x7f66d53e2c60]
   #5 /lib/libc.so.6(_IO_vfprintf+0x3dbe) [0x7f66d53ab75e]
   #6 /lib/libc.so.6(__vasprintf_chk+0xd0) [0x7f66d5460d80]
   #7 /lib/libc.so.6(__asprintf_chk+0x83) [0x7f66d5460ca3]
   #8 /usr/sbin/smbd(get_print_db_byname+0x508) [0x7f66d886a343]
   #9 /usr/sbin/smbd(print_backend_init+0x7d) [0x7f66d8856fec]
   #10 /usr/sbin/smbd(main+0xa25) [0x7f66d87212d1]
   #11 /lib/libc.so.6(__libc_start_main+0xe6) [0x7f66d53805a6]
   #12 /usr/sbin/smbd [0x7f66d871fd89]
[2009/02/17 12:10:29, 0] lib/util.c:smb_panic(1678)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 6589]
[2009/02/17 12:10:29, 0] lib/util.c:smb_panic(1686)
  smb_panic(): action returned status 0
[2009/02/17 12:10:29, 0] lib/fault.c:dump_core(218)
  Can not dump core: corepath not set up

Related branches

Kim Botherway (dj-dvant) wrote :

Confirmed I have the same bug

smbd version 3.3.0 started.
Copyright Andrew Tridgell and the Samba Team 1992-2009
===============================================================
INTERNAL ERROR: Signal 11 in pid 27822 (3.3.0)
Please read the Trouble-Shooting section of the Samba3-HOWTO

From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
===============================================================
PANIC (pid 27822): internal error
BACKTRACE: 13 stack frames:
 #0 smbd(log_stack_trace+0x1c) [0x7f9cc9a1a5cd]
 #1 smbd(smb_panic+0x5b) [0x7f9cc9a1a6db]
 #2 smbd [0x7f9cc9a07dad]
 #3 /lib/libpthread.so.0 [0x7f9cc7feb080]
 #4 /lib/libc.so.6(strlen+0x30) [0x7f9cc65bfc60]
 #5 /lib/libc.so.6(_IO_vfprintf+0x3dbe) [0x7f9cc658875e]
 #6 /lib/libc.so.6(__vasprintf_chk+0xd0) [0x7f9cc663dd80]
 #7 /lib/libc.so.6(__asprintf_chk+0x83) [0x7f9cc663dca3]
 #8 smbd(get_print_db_byname+0x508) [0x7f9cc9a47343]
 #9 smbd(print_backend_init+0x7d) [0x7f9cc9a33fec]
 #10 smbd(main+0xa25) [0x7f9cc98fe2d1]
 #11 /lib/libc.so.6(__libc_start_main+0xe6) [0x7f9cc655d5a6]
 #12 smbd [0x7f9cc98fcd89]
smb_panic(): calling panic action [/usr/share/samba/panic-action 27822]
smb_panic(): action returned status 0
Can not dump core: corepath not set up

trevor_boon (trevor-boon) wrote :

I can confirm this too on ubuntu 9.0.4 (64bit) with all updates (at time of writing)

'sudo /etc/init.d/samba start' gives no error.

Output from log.smdb:

[2009/02/18 21:08:48, 0] smbd/server.c:main(1260)
  smbd version 3.3.0 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2009
[2009/02/18 21:08:48, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2009/02/18 21:08:48, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 8676 (3.3.0)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2009/02/18 21:08:48, 0] lib/fault.c:fault_report(43)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2009/02/18 21:08:48, 0] lib/fault.c:fault_report(44)
  ===============================================================
[2009/02/18 21:08:48, 0] lib/util.c:smb_panic(1673)
  PANIC (pid 8676): internal error
[2009/02/18 21:08:48, 0] lib/util.c:log_stack_trace(1777)
  BACKTRACE: 13 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x1c) [0x7f31dfa0a5cd]
   #1 /usr/sbin/smbd(smb_panic+0x5b) [0x7f31dfa0a6db]
   #2 /usr/sbin/smbd [0x7f31df9f7dad]
   #3 /lib/libpthread.so.0 [0x7f31ddfdb080]
   #4 /lib/libc.so.6(strlen+0x30) [0x7f31dc5afc60]
   #5 /lib/libc.so.6(_IO_vfprintf+0x3dbe) [0x7f31dc57875e]
   #6 /lib/libc.so.6(__vasprintf_chk+0xd0) [0x7f31dc62dd80]
   #7 /lib/libc.so.6(__asprintf_chk+0x83) [0x7f31dc62dca3]
   #8 /usr/sbin/smbd(get_print_db_byname+0x508) [0x7f31dfa37343]
   #9 /usr/sbin/smbd(print_backend_init+0x7d) [0x7f31dfa23fec]
   #10 /usr/sbin/smbd(main+0xa25) [0x7f31df8ee2d1]
   #11 /lib/libc.so.6(__libc_start_main+0xe6) [0x7f31dc54d5a6]
   #12 /usr/sbin/smbd [0x7f31df8ecd89]
[2009/02/18 21:08:48, 0] lib/util.c:smb_panic(1678)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 8676]
[2009/02/18 21:08:48, 0] lib/util.c:smb_panic(1686)
  smb_panic(): action returned status 0
[2009/02/18 21:08:48, 0] lib/fault.c:dump_core(218)
  Can not dump core: corepath not set up

Andreas Olsson (andol) wrote :

Changing the status to confirmed.

While the init script doesn't report any errors, I do get this doing a fresh install

...
Setting up samba (2:3.3.0-3ubuntu2) ...
Generating /etc/default/samba...
tdbsam_open: Converting version 0 database to version 4.
account_policy_get: tdb_fetch_uint32 failed for field 1 (min password length), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 2 (password history), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 3 (user must logon to change password), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum password age), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum password age), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 6 (lockout duration), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 7 (reset count minutes), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 8 (bad lockout attempt), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 9 (disconnect time), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 10 (refuse machine password change), returning 0
Importing account for nobody...ok
Importing account for andreas...ok
 * Starting Samba daemons

By the way, nmbd does actually seems to start fine.

Changed in samba:
status: New → Confirmed

I'm getting a bit different, but probably related stack trace:

[Thread debugging using libthread_db enabled]
[New Thread 0x7fed7ec52710 (LWP 4990)]
0x00007fed7ba068f5 in waitpid () from /lib/libc.so.6
#0 0x00007fed7ba068f5 in waitpid () from /lib/libc.so.6
#1 0x00007fed7b99e2d1 in ?? () from /lib/libc.so.6
#2 0x00007fed7ee3a748 in smb_panic () from /usr/sbin/smbd
#3 0x00007fed7ee27dad in sig_fault () from /usr/sbin/smbd
#4 <signal handler called>
#5 0x00007fed7b9dfc60 in strlen () from /lib/libc.so.6
#6 0x00007fed7b9a875e in vfprintf () from /lib/libc.so.6
#7 0x00007fed7ba5dd80 in __vasprintf_chk () from /lib/libc.so.6
#8 0x00007fed7ba5dca3 in __asprintf_chk () from /lib/libc.so.6
#9 0x00007fed7ee67343 in get_print_db_byname () from /usr/sbin/smbd
#10 0x00007fed7ee53fec in print_backend_init () from /usr/sbin/smbd
#11 0x00007fed7ed1e2d1 in main () from /usr/sbin/smbd

Łukasz Kuryło (lukasz-kurylo) wrote :
Download full text (4.1 KiB)

Last linest of output of "smbd -i -d10"

regdb_open: incrementing refcount (4)
reghook_cache_find: Searching for keyname [/HKLM/SYSTEM/CurrentControlSet/Services/WINS]
pathtree_find: Enter [/HKLM/SYSTEM/CurrentControlSet/Services/WINS]
pathtree_find: Exit
reghook_cache_find: found ops 0x7f29a4032ec0 for key [/HKLM/SYSTEM/CurrentControlSet/Services/WINS]
regdb_get_secdesc: Getting secdesc of key [HKLM\SYSTEM\CurrentControlSet\Services\WINS]
regdb_close: decrementing refcount (4)
regkey_open_onelevel: name = [Security]
regdb_open: incrementing refcount (4)
reghook_cache_find: Searching for keyname [/HKLM/SYSTEM/CurrentControlSet/Services/WINS/Security]
pathtree_find: Enter [/HKLM/SYSTEM/CurrentControlSet/Services/WINS/Security]
pathtree_find: Exit
reghook_cache_find: found ops 0x7f29a4032ec0 for key [/HKLM/SYSTEM/CurrentControlSet/Services/WINS/Security]
regdb_get_secdesc: Getting secdesc of key [HKLM\SYSTEM\CurrentControlSet\Services\WINS\Security]
regdb_close: decrementing refcount (4)
regdb_close: decrementing refcount (3)
regdb_store_values: Looking for value of key [HKLM\SYSTEM\CurrentControlSet\Services\WINS\Security]
regdb_close: decrementing refcount (2)
regdb_close: decrementing refcount (1)
regdb_close: decrementing refcount (0)
===============================================================
INTERNAL ERROR: Signal 11 in pid 7355 (3.3.0)
Please read the Trouble-Shooting section of the Samba3-HOWTO

From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
===============================================================
PANIC (pid 7355): internal error
BACKTRACE: 13 stack frames:
 #0 smbd(log_stack_trace+0x1c) [0x7f29a39d75cd]
 #1 smbd(smb_panic+0x5b) [0x7f29a39d76db]
 #2 smbd [0x7f29a39c4dad]
 #3 /lib/libpthread.so.0 [0x7f29a1fa7080]
 #4 /lib/libc.so.6(strlen+0x30) [0x7f29a057bc60]
 #5 /lib/libc.so.6(_IO_vfprintf+0x3dbe) [0x7f29a054475e]
 #6 /lib/libc.so.6(__vasprintf_chk+0xd0) [0x7f29a05f9d80]
 #7 /lib/libc.so.6(__asprintf_chk+0x83) [0x7f29a05f9ca3]
 #8 smbd(get_print_db_byname+0x508) [0x7f29a3a04343]
 #9 smbd(print_backend_init+0x7d) [0x7f29a39f0fec]
 #10 smbd(main+0xa25) [0x7f29a38bb2d1]
 #11 /lib/libc.so.6(__libc_start_main+0xe6) [0x7f29a05195a6]
 #12 smbd [0x7f29a38b9d89]
smb_panic(): calling panic action [/usr/share/samba/panic-action 7355]
smb_panic(): action returned status 0
Can not dump core: corepath not set up
talloc report on 'null_context' (total 3816 bytes in 132 blocks)
    struct service_control_op contains 117 bytes in 5 blocks (ref 0) 0x7f29a56fd5c0
    struct db_context contains 154...

Read more...

Chuck Short (zulcss) wrote :

Is cups running when this happens?

Andreas Olsson (andol) wrote :

No cups running. Actually, the only part of cups even installed is libcups2.

As mentioned in the duplicate #331046; this bug isn't triggered if the section [printers] is commented out from smb.conf.

billus (bill-grapevineit) wrote :

At the same time that samba broke, smb4k broke as well.
In smb4k when trying to browse a workgroup, I get the error: "Invalid command: net rap server"
could it be related?

Kim Botherway (dj-dvant) wrote :

I commented out the [printers] and [print$] statements and smb starts, but when I run smbtree, the following error is displayed: Receiving SMB: Server stopped responding

And the logfile:

[2009/02/20 19:29:03, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2009/02/20 19:29:03, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 25511 (3.3.0)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2009/02/20 19:29:03, 0] lib/fault.c:fault_report(43)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2009/02/20 19:29:03, 0] lib/fault.c:fault_report(44)
  ===============================================================
[2009/02/20 19:29:03, 0] lib/util.c:smb_panic(1673)
  PANIC (pid 25511): internal error
[2009/02/20 19:29:03, 0] lib/util.c:log_stack_trace(1777)
  BACKTRACE: 16 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x1c) [0x7fc574e185cd]
   #1 /usr/sbin/smbd(smb_panic+0x5b) [0x7fc574e186db]
   #2 /usr/sbin/smbd [0x7fc574e05dad]
   #3 /lib/libpthread.so.0 [0x7fc5733e8080]
   #4 /usr/sbin/smbd(file_load+0x1e) [0x7fc574e151d5]
   #5 /usr/sbin/smbd(file_lines_load+0x1b) [0x7fc574e15241]
   #6 /usr/sbin/smbd [0x7fc574ff71eb]
   #7 /usr/sbin/smbd [0x7fc574ff7c4c]
   #8 /usr/sbin/smbd(api_reply+0x3e6) [0x7fc574ff7018]
   #9 /usr/sbin/smbd [0x7fc574ff2364]
   #10 /usr/sbin/smbd(reply_trans+0x727) [0x7fc574ff312f]
   #11 /usr/sbin/smbd [0x7fc574d2dadf]
   #12 /usr/sbin/smbd(smbd_process+0xdc6) [0x7fc574d2f91d]
   #13 /usr/sbin/smbd(main+0x20f4) [0x7fc574cfd9a0]
   #14 /lib/libc.so.6(__libc_start_main+0xe6) [0x7fc57195a5a6]
   #15 /usr/sbin/smbd [0x7fc574cfad89]
[2009/02/20 19:29:03, 0] lib/util.c:smb_panic(1678)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 25511]
[2009/02/20 19:29:03, 0] lib/util.c:smb_panic(1686)
  smb_panic(): action returned status 0
[2009/02/20 19:29:03, 0] lib/fault.c:dump_core(218)
  Can not dump core: corepath not set up

Greg Eden (grege) wrote :

Confirming error, i even did a fresh install to check.

Feb 20, jaunty x86_64

greg@greg-desktop:~$ sudo /etc/init.d/samba status
 * nmbd is running
 * smbd is not running
greg@greg-desktop:~$

On my 32 bit machine the error does not occur.

Is this possibly an AppArmor issue?

trevor_boon (trevor-boon) wrote :

As mentioned by Andreas Olsson, I can confirm that commenting out the [Printers] section in smb.conf allowed smbd to start correctly on my system (Jaunty 64bit).

Mathias Gug (mathiaz) wrote :

Marking triagged. Commenting out the printing sections may be a workaround in some setup.

Changed in samba:
importance: Undecided → High
milestone: none → jaunty-alpha-6
status: Confirmed → Triaged
alanv72 (alanv72) wrote :

Confirmed that commenting out the [printers] section in smb.conf kept smbd from crashing on my system as well. Jaunty 64bit.

Erik Harren (linux-aceh) wrote :
Download full text (3.5 KiB)

When i commented out the [printers]-section - samba rises but due to interact with an ADDS (active directory server) winbindd stops with the same error message as previously samba did - any suggestions? Please the the log:

[2009/02/24 12:44:22, 3] param/loadparm.c:lp_load_ex(8806)
  lp_load_ex: refreshing parameters
Initialising global parameters
[2009/02/24 12:44:22, 3] param/params.c:pm_process(569)
  params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
[2009/02/24 12:44:22, 3] param/loadparm.c:do_section(7469)
  Processing section "[global]"
[2009/02/24 12:44:22, 3] param/loadparm.c:do_section(7469)
  Processing section "[global]"
[2009/02/24 12:44:22, 2] param/loadparm.c:do_section(7486)
  Processing section "[homes]"
[2009/02/24 12:44:22, 3] param/loadparm.c:lp_add_ipc(5962)
  adding IPC service
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=2002:865e:e90c:2:215:77ff:fe76:73fe bcast=2002:865e:e90c:2:ffff:ffff:ffff:ffff netmask=ffff:ffff:ffff:ffff::
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=fe80::215:77ff:fe76:73fe%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=134.94.134.255 bcast=134.94.135.255 netmask=255.255.254.0
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=2002:865e:e90c:2:215:77ff:fe76:73fe bcast=2002:865e:e90c:2:ffff:ffff:ffff:ffff netmask=ffff:ffff:ffff:ffff::
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=fe80::215:77ff:fe76:73fe%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2009/02/24 12:44:22, 2] lib/interface.c:add_interface(337)
  added interface eth0 ip=134.94.134.255 bcast=134.94.135.255 netmask=255.255.254.0
[2009/02/24 12:44:22, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2009/02/24 12:44:22, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 3126 (3.3.0)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2009/02/24 12:44:22, 0] lib/fault.c:fault_report(43)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2009/02/24 12:44:22, 0] lib/fault.c:fault_report(44)
  ===============================================================
[2009/02/24 12:44:22, 0] lib/util.c:smb_panic(1673)
  PANIC (pid 3126): internal error
[2009/02/24 12:44:22, 0] lib/util.c:log_stack_trace(1777)
  BACKTRACE: 16 stack frames:
   #0 /usr/sbin/winbindd(log_stack_trace+0x1c) [0x7f1337288f1d]
   #1 /usr/sbin/winbindd(smb_panic+0x5b) [0x7f133728902b]
   #2 /usr/sbin/winbindd [0x7f1337277c8d]
   #3 /lib/libc.so.6 [0x7f1335040040]
   #4 /lib/libc.so.6(strlen+0x30) [0x7f133508dc60]
   #5 /lib/libc.so.6(_IO_vfprintf+0x3dbe) [0x7f133505675e]
   #6 /lib/libc.so.6(__vasprintf_chk+0xd0) [0x7f133510bd80]
   #7 /usr/sbin/winbindd [0x7f1337270828]
   #8 /usr/sbin/winbindd(tdb_open_ex+0x1fa) [0x7f13374df283]
   #9 /usr/sbin/winbindd(tdb_open_log+0xa6) [0x7f133726f4e1]
   #10 /usr/sbin/winbindd(init_wcache+0x83) [0x7f1337204923]
   #11 /usr...

Read more...

Changed in samba:
status: Unknown → Confirmed
Steve Langasek (vorlon) wrote :

Have been discussing this in the upstream bug. I'm still not sure of the cause of the crash, but it appears to be possible to work around it by rebuilding with --disable-pie - so this may be a bug in the toolchain used to build the binaries.

Steve Langasek (vorlon) wrote :

fix committed to Debian svn tree.

Changed in samba:
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:3.3.0-4ubuntu1

---------------
samba (2:3.3.0-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/patches/VERSION.patch:
      - setup SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
         \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are
        allows to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
     + debian/samba.postinst:
       - When populating the new sambashare group, it is not an error
         if the user simply does not exist; test for this case and let
         the install continue instead of aborting.
     + debian/samba-common.config:
       - Do not change priority to high if dhclient3 is installed.
       - Use priority medium instead of high for the workgroup question.
     + debian/mksambapasswd.awk:
       - Do not add user with UID to less than a 1000 to smbpasswd.
     + debian/control:
       - Make libpam-smbpasswd depend on libpam-runtime to allow
         libpam-smbpasswd for auto-configuration.
       - Make libwbclient0 replace/conflict with hardy's likewise-open.
     + debian/libpam-smbpass.pam-config, debian/libpam-smbpass.postinst,
       debian/libpam-smbpass.prerm, debian/libpam-smbpass.files,
       debian/rules:
       - Provide a config block for the new PAM framework to auto-configure
         itself
     + debian/rules:
      - enable "native" PIE hardening.
     + Add ufw integration:
       - Created debian/samba.ufw.profile
       - debian/rules, debian/samba.dirs, debian/samba.files: install
         profile
       - debian/control: have samba suggest ufw
     + debian/patches/last-char-truncation.patch:
       - Fix compatibility issue with NAS boxes still using Samba 2.2 and
         earlier.
     + debian/winbind.files:
       - include additional files
     + Fixes LP: #330626.

samba (2:3.3.0-4) unstable; urgency=low

  [ Steve Langasek ]
  * Build-Depend on libcap2-dev. Closes: #515851.
  * debian/patches/fhs-filespaths-debatable.patch: Add a missing prototype
    for cache_path, which causes nearly undiagnoseable crashes when building
    with -fPIE, because of a wrong return type! LP: #330626.

  [ Debconf translations ]
  * Belarusian added. Closes: #516052.
  * Traditional Chinese updated. Closes: #516594
  * Swedish updated. Closes: #516681.

  [ Mathieu Parent ]
  * enable clustering by default (CTDB). Closes: #514050

 -- Chuck Short <email address hidden> Wed, 25 Feb 2009 10:56:23 +0000

Changed in samba:
status: In Progress → Fix Released
Changed in samba:
status: Confirmed → Invalid
tags: added: iso-testing
Changed in samba:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.